summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Petr Kletecka2018-03-10 00:14:10 +0100
committer Willy Sudiarto Raharjo2018-03-10 01:11:05 +0100
commitc4a61bf167d3616cf5830201c92c84eff7ab79ac (patch)
treea03fbaf72ce39cb9b0f34657f058b4d8ee2014f8 /desktop
parent03c084a5cff4c85bfdf122898cbb20381199848f (diff)
downloadslackbuilds-c4a61bf167d3616cf5830201c92c84eff7ab79ac.tar.gz
desktop/aero-mouse-theme: Added (Aero cursor theme).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/aero-mouse-theme/README7
-rw-r--r--desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild47
-rw-r--r--desktop/aero-mouse-theme/aero-mouse-theme.info10
-rw-r--r--desktop/aero-mouse-theme/slack-desc19
4 files changed, 83 insertions, 0 deletions
diff --git a/desktop/aero-mouse-theme/README b/desktop/aero-mouse-theme/README
new file mode 100644
index 0000000000..6e5587a41f
--- /dev/null
+++ b/desktop/aero-mouse-theme/README
@@ -0,0 +1,7 @@
+The theme of Aero for X11 Mouse.
+
+Settings in xfce:
+
+echo "Xcursor.theme: aero" >> ~/.Xresources
+
+xfconf-query --channel xsettings --property /Gtk/CursorThemeName --set aero
diff --git a/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild b/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild
new file mode 100644
index 0000000000..8daea8a6af
--- /dev/null
+++ b/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for aero-mouse-theme
+
+# Petr Kletecka petr@kle.cz <2018>
+
+PRGNAM=aero-mouse-theme
+VERSION=${VERSION:-2016.04.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+ICONS=usr/share/icons
+mkdir -p $PKG/$ICONS
+tar xvf $CWD/58853-42734-aeromousetheme11.tar.gz -C $PKG/$ICONS
+
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG/$ICONS -type f -empty -delete
+
+sed -i 's/Name=default/Name=Aero/' $PKG/$ICONS/aero/index.theme
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/aero-mouse-theme/aero-mouse-theme.info b/desktop/aero-mouse-theme/aero-mouse-theme.info
new file mode 100644
index 0000000000..1131448f36
--- /dev/null
+++ b/desktop/aero-mouse-theme/aero-mouse-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="aero-mouse-theme"
+VERSION="2016.04.15"
+HOMEPAGE="https://store.kde.org/p/999844/"
+DOWNLOAD="https://sourceforge.net/projects/slackbuildsdirectlinks/files/aero-mouse-theme/58853-42734-aeromousetheme11.tar.gz"
+MD5SUM="292fe645d884b415150b2de5cedbae39"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petr Kletecka"
+EMAIL="petr@kle.cz"
diff --git a/desktop/aero-mouse-theme/slack-desc b/desktop/aero-mouse-theme/slack-desc
new file mode 100644
index 0000000000..f1b8d603e2
--- /dev/null
+++ b/desktop/aero-mouse-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aero-mouse-theme: aero-mouse-theme (Aero cursor theme)
+aero-mouse-theme:
+aero-mouse-theme: The theme of Aero for X11 Mouse.
+aero-mouse-theme:
+aero-mouse-theme:
+aero-mouse-theme: website: https://store.kde.org/p/999844/
+aero-mouse-theme:
+aero-mouse-theme:
+aero-mouse-theme:
+aero-mouse-theme:
+aero-mouse-theme: